13:09:18 Started by GitHub push by stevekuznetsov 13:09:18 [EnvInject] - Loading node environment variables. 13:09:18 Building in workspace /var/lib/jenkins/jobs/install_origin_ci_tool/workspace 13:09:18 > git rev-parse --is-inside-work-tree # timeout=10 13:09:18 Fetching changes from the remote Git repository 13:09:18 > git config remote.origin.url git@github.com:openshift/origin-ci-tool.git # timeout=10 13:09:18 Fetching upstream changes from git@github.com:openshift/origin-ci-tool.git 13:09:18 > git --version # timeout=10 13:09:18 > git fetch --tags --progress git@github.com:openshift/origin-ci-tool.git +refs/heads/*:refs/remotes/origin/* 13:09:18 > git rev-parse refs/remotes/origin/master^{commit} # timeout=10 13:09:18 > git rev-parse refs/remotes/origin/origin/master^{commit} # timeout=10 13:09:18 Checking out Revision 52c47a66764fc587d21b20bfcc3310d0e96e8fb6 (refs/remotes/origin/master) 13:09:18 Commit message: "Use literal stage name when not `next` in packaging" 13:09:18 > git config core.sparsecheckout # timeout=10 13:09:18 > git checkout -f 52c47a66764fc587d21b20bfcc3310d0e96e8fb6 13:09:18 > git rev-list f714de194cea4e6ca7867f861a5f32b246763f87 # timeout=10 13:09:18 [workspace] $ /bin/bash /tmp/jenkins8653752793282012035.sh 13:09:18 ++ git log -n 1 --pretty=%H 13:09:18 + latest_sha=52c47a66764fc587d21b20bfcc3310d0e96e8fb6 13:09:18 + venv_dir=/var/lib/jenkins/origin-ci-tool/52c47a66764fc587d21b20bfcc3310d0e96e8fb6 13:09:18 + virtualenv /var/lib/jenkins/origin-ci-tool/52c47a66764fc587d21b20bfcc3310d0e96e8fb6 --system-site-packages 13:09:18 New python executable in /var/lib/jenkins/origin-ci-tool/52c47a66764fc587d21b20bfcc3310d0e96e8fb6/bin/python 13:09:19 Installing Setuptools..............................................................................................................................................................................................................................done. 13:09:19 Installing Pip.....................................................................................................................................................................................................................................................................................................................................done. 13:09:19 + rm -f /var/lib/jenkins/origin-ci-tool/52c47a66764fc587d21b20bfcc3310d0e96e8fb6/bin/activate 13:09:19 + cat 13:09:19 + source /var/lib/jenkins/origin-ci-tool/52c47a66764fc587d21b20bfcc3310d0e96e8fb6/bin/activate 13:09:19 ++ export VIRTUAL_ENV=/var/lib/jenkins/origin-ci-tool/52c47a66764fc587d21b20bfcc3310d0e96e8fb6 13:09:19 ++ VIRTUAL_ENV=/var/lib/jenkins/origin-ci-tool/52c47a66764fc587d21b20bfcc3310d0e96e8fb6 13:09:19 ++ export PATH=/var/lib/jenkins/origin-ci-tool/52c47a66764fc587d21b20bfcc3310d0e96e8fb6/bin:/sbin:/usr/sbin:/bin:/usr/bin 13:09:19 ++ PATH=/var/lib/jenkins/origin-ci-tool/52c47a66764fc587d21b20bfcc3310d0e96e8fb6/bin:/sbin:/usr/sbin:/bin:/usr/bin 13:09:19 ++ unset PYTHON_HOME 13:09:19 + pip install --upgrade pip 13:09:21 Downloading/unpacking pip from https://files.pythonhosted.org/packages/ae/e8/2340d46ecadb1692a1e455f13f75e596d4eab3d11a57446f08259dee8f02/pip-10.0.1.tar.gz#sha256=f2bd08e0cd1b06e10218feaf6fef299f473ba706582eb3bd9d52203fdbd7ee68 13:09:21 Running setup.py egg_info for package pip 13:09:21 /usr/lib64/python2.7/distutils/dist.py:267: UserWarning: Unknown distribution option: 'python_requires' 13:09:21 warnings.warn(msg) 13:09:21 13:09:21 warning: no previously-included files found matching '.coveragerc' 13:09:21 warning: no previously-included files found matching '.mailmap' 13:09:21 warning: no previously-included files found matching '.travis.yml' 13:09:21 warning: no previously-included files found matching '.landscape.yml' 13:09:21 warning: no previously-included files found matching 'src/pip/_vendor/Makefile' 13:09:21 warning: no previously-included files found matching 'tox.ini' 13:09:21 warning: no previously-included files found matching '*-requirements.txt' 13:09:21 warning: no previously-included files found matching 'appveyor.yml' 13:09:21 warning: no previously-included files found matching 'src/pip/_vendor/six' 13:09:21 warning: no previously-included files matching '*.pyi' found under directory 'src/pip/_vendor' 13:09:21 no previously-included directories found matching '.github' 13:09:21 no previously-included directories found matching '.travis' 13:09:21 no previously-included directories found matching 'docs/build' 13:09:21 no previously-included directories found matching 'news' 13:09:21 no previously-included directories found matching 'contrib' 13:09:21 no previously-included directories found matching 'tasks' 13:09:21 no previously-included directories found matching 'tests' 13:09:21 Installing collected packages: pip 13:09:21 Found existing installation: pip 1.4.1 13:09:21 Uninstalling pip: 13:09:21 Successfully uninstalled pip 13:09:21 Running setup.py install for pip 13:09:21 /usr/lib64/python2.7/distutils/dist.py:267: UserWarning: Unknown distribution option: 'python_requires' 13:09:21 warnings.warn(msg) 13:09:21 13:09:21 warning: no previously-included files found matching '.coveragerc' 13:09:21 warning: no previously-included files found matching '.mailmap' 13:09:21 warning: no previously-included files found matching '.travis.yml' 13:09:21 warning: no previously-included files found matching '.landscape.yml' 13:09:21 warning: no previously-included files found matching 'src/pip/_vendor/Makefile' 13:09:21 warning: no previously-included files found matching 'tox.ini' 13:09:21 warning: no previously-included files found matching '*-requirements.txt' 13:09:21 warning: no previously-included files found matching 'appveyor.yml' 13:09:21 warning: no previously-included files found matching 'src/pip/_vendor/six' 13:09:21 warning: no previously-included files matching '*.pyi' found under directory 'src/pip/_vendor' 13:09:21 no previously-included directories found matching '.github' 13:09:21 no previously-included directories found matching '.travis' 13:09:21 no previously-included directories found matching 'docs/build' 13:09:21 no previously-included directories found matching 'news' 13:09:21 no previously-included directories found matching 'contrib' 13:09:21 no previously-included directories found matching 'tasks' 13:09:21 no previously-included directories found matching 'tests' 13:09:21 Installing pip script to /var/lib/jenkins/origin-ci-tool/52c47a66764fc587d21b20bfcc3310d0e96e8fb6/bin 13:09:21 Installing pip2.7 script to /var/lib/jenkins/origin-ci-tool/52c47a66764fc587d21b20bfcc3310d0e96e8fb6/bin 13:09:21 Installing pip2 script to /var/lib/jenkins/origin-ci-tool/52c47a66764fc587d21b20bfcc3310d0e96e8fb6/bin 13:09:21 Successfully installed pip 13:09:21 Cleaning up... 13:09:21 + pip install --upgrade setuptools 13:09:22 Collecting setuptools 13:09:22 Using cached https://files.pythonhosted.org/packages/8c/10/79282747f9169f21c053c562a0baa21815a8c7879be97abd930dbcf862e8/setuptools-39.1.0-py2.py3-none-any.whl 13:09:22 ruamel-yaml 0.11.11 requires ruamel.ordereddict, which is not installed. 13:09:22 Installing collected packages: setuptools 13:09:22 Found existing installation: setuptools 0.9.8 13:09:22 Uninstalling setuptools-0.9.8: 13:09:22 Successfully uninstalled setuptools-0.9.8 13:09:22 Successfully installed setuptools-39.1.0 13:09:22 + pip install . --process-dependency-links 13:09:23 Processing /var/lib/jenkins/jobs/install_origin_ci_tool/workspace 13:09:25 DEPRECATION: Dependency Links processing has been deprecated and will be removed in a future release. 13:09:25 Requirement already satisfied: Click in /usr/lib/python2.7/site-packages (from origin-ci-tool==0.1.0) (6.3) 13:09:25 Collecting ansible==3.0.0 (from origin-ci-tool==0.1.0) 13:09:25 Cloning https://github.com/stevekuznetsov/ansible.git (to revision skuznets/oct-release) to /tmp/pip-install-U3Ao9b/ansible 13:09:31 Requirement already satisfied: backports.shutil_get_terminal_size in /usr/lib/python2.7/site-packages (from origin-ci-tool==0.1.0) (1.0.0) 13:09:31 Requirement already satisfied: semver in /usr/lib/python2.7/site-packages (from origin-ci-tool==0.1.0) (2.7.2) 13:09:31 Requirement already satisfied: junit_xml in /usr/lib/python2.7/site-packages (from origin-ci-tool==0.1.0) (1.7) 13:09:32 Collecting structlog (from origin-ci-tool==0.1.0) 13:09:32 Using cached https://files.pythonhosted.org/packages/e9/ea/0d4fd621c7e797ad9fa2cd0e4bd1b4b613364ecfeca39512e1fb30f43394/structlog-18.1.0-py2.py3-none-any.whl 13:09:32 Requirement already satisfied: boto3 in /usr/lib/python2.7/site-packages (from origin-ci-tool==0.1.0) (1.4.6) 13:09:32 Requirement already satisfied: paramiko in /usr/lib/python2.7/site-packages (from ansible==3.0.0->origin-ci-tool==0.1.0) (1.16.1) 13:09:32 Requirement already satisfied: jinja2 in /usr/lib/python2.7/site-packages (from ansible==3.0.0->origin-ci-tool==0.1.0) (2.7.2) 13:09:32 Requirement already satisfied: PyYAML in /usr/lib64/python2.7/site-packages (from ansible==3.0.0->origin-ci-tool==0.1.0) (3.10) 13:09:32 Requirement already satisfied: setuptools in /var/lib/jenkins/origin-ci-tool/52c47a66764fc587d21b20bfcc3310d0e96e8fb6/lib/python2.7/site-packages (from ansible==3.0.0->origin-ci-tool==0.1.0) (39.1.0) 13:09:32 Requirement already satisfied: pycrypto>=2.6 in /usr/lib64/python2.7/site-packages (from ansible==3.0.0->origin-ci-tool==0.1.0) (2.6.1) 13:09:32 Requirement already satisfied: six in /usr/lib/python2.7/site-packages (from junit_xml->origin-ci-tool==0.1.0) (1.10.0) 13:09:32 Requirement already satisfied: botocore<1.7.0,>=1.6.0 in /usr/lib/python2.7/site-packages (from boto3->origin-ci-tool==0.1.0) (1.6.0) 13:09:32 Requirement already satisfied: jmespath<1.0.0,>=0.7.1 in /usr/lib/python2.7/site-packages (from boto3->origin-ci-tool==0.1.0) (0.9.0) 13:09:32 Requirement already satisfied: s3transfer<0.2.0,>=0.1.10 in /usr/lib/python2.7/site-packages (from boto3->origin-ci-tool==0.1.0) (0.1.10) 13:09:32 Requirement already satisfied: ecdsa>=0.11 in /usr/lib/python2.7/site-packages (from paramiko->ansible==3.0.0->origin-ci-tool==0.1.0) (0.13) 13:09:32 Requirement already satisfied: markupsafe in /usr/lib64/python2.7/site-packages (from jinja2->ansible==3.0.0->origin-ci-tool==0.1.0) (0.11) 13:09:32 Requirement already satisfied: python-dateutil<3.0.0,>=1.4 in /usr/lib/python2.7/site-packages (from botocore<1.7.0,>=1.6.0->boto3->origin-ci-tool==0.1.0) (1.5) 13:09:32 Requirement already satisfied: docutils>=0.10 in /usr/lib/python2.7/site-packages (from botocore<1.7.0,>=1.6.0->boto3->origin-ci-tool==0.1.0) (0.11) 13:09:32 Requirement already satisfied: futures<4.0.0,>=2.2.0 in /usr/lib/python2.7/site-packages (from s3transfer<0.2.0,>=0.1.10->boto3->origin-ci-tool==0.1.0) (3.0.5) 13:09:32 ruamel-yaml 0.11.11 requires ruamel.ordereddict, which is not installed. 13:09:32 Installing collected packages: ansible, structlog, origin-ci-tool 13:09:32 Found existing installation: ansible 2.4.2.0 13:09:32 Not uninstalling ansible at /usr/lib/python2.7/site-packages, outside environment /var/lib/jenkins/origin-ci-tool/52c47a66764fc587d21b20bfcc3310d0e96e8fb6 13:09:32 Can't uninstall 'ansible'. No files were found to uninstall. 13:09:32 Running setup.py install for ansible: started 13:09:35 Running setup.py install for ansible: finished with status 'done' 13:09:35 Running setup.py install for origin-ci-tool: started 13:09:54 Running setup.py install for origin-ci-tool: finished with status 'done' 13:09:56 Successfully installed ansible-3.0.0 origin-ci-tool-0.1.0 structlog-18.1.0 13:09:56 + rm -f /var/lib/jenkins/origin-ci-tool/latest 13:09:56 + ln -s /var/lib/jenkins/origin-ci-tool/52c47a66764fc587d21b20bfcc3310d0e96e8fb6 /var/lib/jenkins/origin-ci-tool/latest 13:09:56 Finished: SUCCESS